#include <iostream>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;

    long long int p, a[n][m];

    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < m; j++)
        {
            cin >> a[i][j];
        }
    }

    int q;
    cin >> q;

    for(int i = 0; i < q; i++)
    {
        int x, y;
        cin >> x >> y;
        p
    }


    cout << "Hello world!" << endl;
    return 0;
}